%define pkg_name        Convert-PEM
%define pkg_version     0.07
%define rpm_pkg_version 0.07
%define rpm_pkg_release 2.n0i.7

Summary:       Read/write encrypted ASN.1 PEM files
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BT/BTROTT/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(MIME::Base64)}
%{!?_without_test:BuildRequires: perl(Digest::MD5)}
%{!?_without_test:BuildRequires: perl(Crypt::DES_EDE3)}
%{!?_without_test:BuildRequires: perl(Convert::ASN1) >= 0.10}
%{!?_without_test:BuildRequires: perl(Class::ErrorHandler)}


%description
Convert::PEM reads and writes PEM files containing ASN.1-encoded objects.
The files can optionally be encrypted using a symmetric cipher algorithm,
such as 3DES.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README ToDo


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.07-2.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer 2.004
- rebuild on perl 5.8.8

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.07-1.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.06-1.n0i.5
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.06-1.n0i.4
- automatic rebuild (perl 5.8.6)

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:0.06-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.06-0.n0i.2
- version 0.06
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Sun Jun 29 2003 Marius FERARU <altblue@n0i.net> 0.06-0.n0i
- Initial build.
